%--------------------------------------------------------------------------
% Initialisation
%--------------------------------------------------------------------------
function [FUNC,CON,DAT,GEO,UNK,COMP] = Initialisation(FUNC,CON,DAT,GEO)

%--------------------------------------------------------------------------
% Preliminaries
%--------------------------------------------------------------------------
[UNK,COMP]                      = Preliminary(GEO,DAT);

%--------------------------------------------------------------------------
% Lumped mass matrix
%--------------------------------------------------------------------------
[COMP.mass,DAT.ISO_Grad0,DAT.ISO_J0gp] = Lumped_mass_matrix(GEO);

%--------------------------------------------------------------------------
% Compute area and normal vector
%--------------------------------------------------------------------------
[GEO.A_B,GEO.N_B]               = area_normal_vector(GEO);

%--------------------------------------------------------------------------
% Characteristic length
%--------------------------------------------------------------------------
[GEO.h]                         = Characteristic_Length(GEO);

end