%--------------------------------------------------------------------------
% Save output files (for plotting purposes)
%--------------------------------------------------------------------------
function Save_Output_Paraview(PRO,UNK,COMP,CON,FUNC,GEO,DAT,i)

%--------------------------------------------------------------------------
% Output increment
%--------------------------------------------------------------------------
if rem(i,CON.OutInc) == 0

    %----------------------------------------------------------------------
    % File name
    %----------------------------------------------------------------------
%     s                                        = sprintf('snapshot%010d.mat',i/CON.OutInc);  
    s                                        = sprintf('snapshot%010d.mat',i);  
%     s                                        = sprintf('snapshot%010d.mat',i);
%     outputfile                               = sprintf('PGFEM_Paraview%010d.vtk',i);    
        
    %----------------------------------------------------------------------
    % Assign output variables
    %----------------------------------------------------------------------
    OUT.Time                                 = COMP.time;
    OUT.istep                                = COMP.itime;
    
    %----------------------------------------------------------------------
    % Pressure
    %----------------------------------------------------------------------  
    OUT.UNK_Pressure                         = FUNC.Compute_Pressure(UNK,COMP,DAT);
    OUT.UNK_X                                = UNK.X;   
    OUT.UNK_p                                = UNK.p;
    OUT.UNK_F                                = UNK.F;   
    OUT.UNK_Eta                              = UNK.Eta;
    
%     %----------------------------------------------------------------------
%     % Current Temperature
%     %----------------------------------------------------------------------
%     Theta0                                   = DAT.Temp_R .* exp(- DAT.MG_gamma/DAT.MG_q*(UNK.J.^DAT.MG_q-1));
%     Theta                                    = Theta0 .* exp(UNK.Eta/DAT.Den/DAT.CF);
%     OUT.UNK_Theta                            = Theta;
    
%     %----------------------------------------------------------------------
%     % Output file to Paraview
%     %----------------------------------------------------------------------
%     [OUT]                                    = Output_Paraview(OUT,outputfile,COMP,GEO);
    
    %----------------------------------------------------------------------
    % Save file
    %----------------------------------------------------------------------
    save(s,'OUT');
%     PRO.inputfile_name(1:character_dot-1)
    
%     internal_restartfile_name = [PRO.inputfile_name(1:end-4) '-RESTART.MAT'];
%     save(internal_restartfile_name,'OUT','COMP','UNK');
    
%     save('Result.mat','OUT','COMP','UNK');
    
end

save('Result.mat','COMP','UNK');
 
end
